
* {
    box-sizing: border-box; 
  }
  body {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    font-family: 'Bai Jamjuree', sans-serif;
    margin: 0;
  }
  
  #main {
    display: flex;
    flex: 1;
  }
  
h1.red-color{
    font-size: 3em;
}

  #main > article {
    flex: 1;
  }
  
  #main > nav, 
  #main > aside {
    flex: 0 0 50vw;
   
  }
  
  header, footer {
    background: rgb(236, 235, 235);
   height: 100%;
  }
  
  
  
  #header-image-menu {
      position: relative;
      top: 0%;
      left: 0%;
  }
  
  #header-image-menu img {
      width: 100%;
  }
  
  .headcontainer {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      align-items: flex-start;
      justify-content: flex-start;
  }

.anglenav {
    margin-left: -3px;
}


.spaceline {
    line-height: 1.5em;
    width: max-content;
}
  

  /*-----------------------------------------fin header---------------*/
  
/*--------------------------------------------debut section 1 -----------*/

.red-color{
    color: #e20612;
  
}


#titre-black{
    color: black;
    font-size: 2em;
}

.flex-container-tree{
    width: 100%;
    display: flex;
    padding: 10px 0px 40px 0px;
    flex-direction: row;
    align-items: flex-start;
    justify-content:flex-start;
}



.container-tree-one {
    width: 50%;
    height: 500px;
    background-image: url(../images/diagnostique-electrique.jpg);
    background-position: right ;
    background-repeat: no-repeat;
    background-size: contain;
    margin-top: 100px;
    }

.container-tree-two{
    width: 50%;
    margin-left: 60px;
   margin-top: 20px;
    margin-bottom: 20px;
}

.iconediagnostique{
    padding-top: 570px;
    padding-left: 60px;
   
}
  
  .btndemande {
      display: flex;
      background-color: #e20612;
      justify-content: center;
      align-items: center;
      color: white;
      width: 250px;
      height: 50px;
      margin-left: -10px;
  }
  
  .btndemande:hover {
      display: flex;
      background-color: white;
      border: 2px solid #e20612;
      justify-content: center;
      align-items: center;
      color: #e20612;
      width: 250px;
      height: 50px;
  }
  

   /*--------------------début media query maximum d'ecran de 1674px et moin ----------*/

   @media only screen and (max-width: 1674px){

  

    .headcontainer {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    .anglenav {
        display: none;
    }

    .redone {
        text-align: center;
        color: #e20612;
        font-family: 'Bai Jamjuree', sans-serif;
    }
    .container {
      
        padding-bottom: 60px;
        width: 100%;
    }
    #main {
        display: flex;
        flex: 1;
      
        margin-right: 10px;
    }
 

    .container-tree-one {
        width: 100%;
        /* height: 500px; */
        background-image: url(../images/diagnostique-electrique.jpg);
        background-position: right;
        background-repeat: no-repeat;
        background-size: contain;
        /* margin-top: 215px; */
        margin: 20px;
        margin-right: -10px;
    } 
    
    }



    @media only screen and (max-width: 1350px){
        .iconediagnostique {
            padding-top: 480px;
            padding-left: 15px;
        }
    }


    @media only screen and (max-width: 1048px){

        .headcontainer {
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            align-items: center;
            justify-content: center;
            width: 100%;
            position: fixed;
        }
    
    
        .anglenav {
            display: none;
        }
    
        .redone {
            text-align: center;
            color: #e20612;
            font-family: 'Bai Jamjuree', sans-serif;
        }
        .container {
          
            padding-bottom: 60px;
            width: 100%;
        }
        #main {
            display: flex;
            flex: 1;
          
            margin-right: 10px;
        }


        .anglenav-foot {
            display: none;
        }


        #main {
            display: flex;
            flex: 1;
            
        }

        .flex-container-tree {
            width: 100%;
            display: flex;
            flex-wrap: wrap-reverse;
            flex-direction: column-reverse;
            align-items: right;
            justify-content: flex-start;
        }

        .iconediagnostique {
          display: none;
        }

        .container-tree-one {
            margin-top: 96px;
            margin-bottom: unset;
        }

        .container-tree-two {
            width: 100%;
            margin-left: 60px;
            margin-top: 20px;
            margin-bottom: 20px;
            text-align: left;
            padding: 40px;
        }

        .column-footer {
            background-color: white;
            width: 100%;
            margin-left: 0%;
        }

    }  
    
    /*tablet*/
@media only screen and (max-width: 768px){

    .headcontainer {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    #titre-black {
        color: black;
        font-size: 1.3em;
    }


    .anglenav {
        display: none;
    }

    .redone {
        text-align: center;
        color: #e20612;
        font-family: 'Bai Jamjuree', sans-serif;
    }
    .container {
      
        padding-bottom: 60px;
        width: 100%;
    }
    #main {
        display: flex;
        flex: 1;
      
        margin-right: 10px;
    }
    .anglenav-foot {
        display: none;
    }

.box-one {
    width: 100%;
    text-align: -webkit-center;
    align-items: center;
    padding-left: 20px;
    padding-right: 20px;
}

#titre-services {
    text-align: center;
    border-bottom: 3px solid #e20612;
    margin: 20px;
}

.flex-container-tree {
    width: 100%;
    display: flex;
    padding: 0px 0px 0px 0px;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: flex-start;
    margin-top: 0px;
    text-align: -webkit-center;
}

.container-tree-one {
    width: 100%;
    height: 350px; 
    background-image: url(../images/diagnostique-electrique.jpg);
    background-position: right;
    background-repeat: no-repeat;
    background-size: contain;
    margin-top: 204px;
    margin-right: -60px;
    margin-bottom: -20px;
}

.container-tree-two {
    width: 100%;
    margin-left: 60px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.column-footer {
    background-color: white;
    width: 100%;
    margin-left: 0%;
}

}




/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
    .container-tree-one {
        margin-left: unset;
        height: 252px;
    }
    .container-tree-two {
        margin-left: unset;
        padding-left: 20px;
    }

    .spaceline {
        line-height: 1em;
        width: revert;
    }

    h1.red-color {
        font-size: 1.5em;
    }
}